package _VisualDVM.Visual.Menus.FastAccessMenuBar;
import Common.MainModule_;
import Common.Passes.Pass;
import Common.Visual.Menus.VisualiserMenuBar;
import Common.Visual.UI_;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.Settings.SettingName;

import javax.swing.*;
import java.awt.*;
public class FastAccessMenuBar extends VisualiserMenuBar {
    @Override
    public void setSizeLimits() {
        //если задавать PreffredSize 0, скролл НЕ РАБОТАЕТ. Магия!
    }
    public void showPass(Pass pass) {
        JButton button = pass.createButton();
        add(button);
        Dimension d = button.getPreferredSize();
        button.setPreferredSize(new Dimension(d.width, 30));
        revalidate();
        repaint();
    }
    public void Refresh() {
        Drop();
        int i = 1;
        for (Object pass : MainModule_.instance.getFirstAccessPasses()) {
            showPass((Pass) pass);
            ++i;
            if (i > ((Global.mainModule.getDb()).settings.get(SettingName.FastAccessPassesCount).toInt32())) break;
        }
    }
    public void Drop() {
        UI_.Clear(this);
    }
}
